#!/bin/sh

RUN_DIR=/buildbot

buildbot create-master $RUN_DIR

# create default configuration
if [ ! -f $RUN_DIR/master.cfg ]; then
        mv $RUN_DIR/master.cfg.sample $RUN_DIR/master.cfg
        sed -i 's/http:\/\/localhost:8010/https:\/\/192.168.178.39:8010/' $RUN_DIR/master.cfg
        sed -i 's/Hello World CI/blackfinn CI/' $RUN_DIR/master.cfg
        echo "c['buildbotNetUsageData'] = None" >> $RUN_DIR/master.cfg
fi

buildbot checkconfig $RUN_DIR
buildbot start $RUN_DIR

while :;
do
	sleep 1
done

